plotP {SPIA} | R Documentation

## SPIA two-way evidence plot

### Description

Plots each pathway as a point, using the over-representation p-value, pNDE, and perturbations accumulation p-value, pPERT, as coordinates.

### Usage

    plotP(x,threshold=0.05)

### Arguments

`x` | A data frame produced by `spia` function.
`threshold` | A numerical value between 0 and 1 to be used as significance threshold in inferring pathway significance.

### Details

In this plot each pathway is a point and the coordinates are the log of pNDE (using a hypergeometric model) and the p-value from perturbations, pPERT. The oblique lines in the plot show the significance regions based on the combined evidence.

### Value

This function does not return any value. It only generates a plot.

### Author(s)

Adi Laurentiu Tarca <atarca@med.wayne.edu>, Purvesh Khatri, Sorin Draghici

### References

Adi L. Tarca, Sorin Draghici, Purvesh Khatri, et. al, A Signaling Pathway Impact Analysis for Microarray Experiments, 2008, Bioinformatics, 2009, 25(1):75-82.

### See Also

`spia`

### Examples

    # Examples use colorectal cancer dataset
    data(colorectalcancer)

    # pathway analysis based on combined evidence of ORA and perturbations
    # use nB=2000 or larger for more accurate results
    res<-spia(de=DE_Colorectal, all=ALL_Colorectal, organism="hsa",nB=200,plots=FALSE,verbose=TRUE,beta=NULL)

    #Generate the evidence plot
    plotP(res,threshold=0.1)

[Package SPIA version 1.0.0 Index]